POST register · Checkout API
POST register
POST
/api/v1/clients/{clientId}/registerRegisters a client. Prior to the registration, the client has to be created in the menio Dashboard. [COMING SOON]
During creation, each client is issued a unique
clientIdandclientSecret. These are used for authorization and should be treated as username and password and must be kept secret at all times.On registration completion, the client receives configuration metadata which are important for further API request. Please check the response attributes section for a detailed explanation.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationBasic base64(<clientId>:<clientSecret>)Idempotency-Key<idempotencyKey>Originaler Blueprint-Ausschnitt
API Blueprint
### POST register [POST]
Registers a client. Prior to the registration, the client has to be created in the qnips Dashboard. **[COMING SOON]**
+ During creation, each client is issued a unique `clientId` and `clientSecret`. These are used for authorization and should be treated as username and password and **must** be kept secret at all times.
+ On registration completion, the client receives configuration metadata which are important for further API request. Please check the response attributes section for a detailed explanation.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: Basic base64(<clientId>:<clientSecret>)
Idempotency-Key: <idempotencyKey>
+ Response 200 (application/json; charset=utf-8)
+ Attributes (object)
+ securityKey (string, required) - The unique security key to generate `Security-Token`s with.
+ Body
{
"securityKey": "ykkBKHJG+EBQbFhLyCkWDFjRQJ4NgChiGKrMCManhkg="
}
+ Schema
{
"type": "object",
"properties": {
"securityKey": {
"type": "string"
}
}
}